
Figure - Bug #117844
【IOVDEV-25288】【内部】【VC1】【0094】【台架】【EE环境】【副屏】【设置】修改已连接蓝牙设备名
称21个字符失败
2023-05-09 16:53 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-09

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-10

Test Type: ST Root cause: 限制数量与需求不一致。

Description

环境信息】EE环境

【问题出现时间】：20230428 09：18

【前提条件】：**1.已连接中控蓝牙设备

2.中控蓝牙设备名称"HiPhiMGM816" 

【操作步骤】

1.点击已连接设备名称

2.点击右上角修改按键

3.输入框输入"高合娱乐屏高合娱乐屏高合娱乐屏高合娱乐屏哈" 

4.点击重命名按键

【实际结果】

修改成功

【期望结果】

1.修改失败

【备注】：

【影响版本】：01.00.0094.c103

【硬件版本号】：

History

#1 - 2023-05-09 16:54 - CDTS_Test 吴诗雨

PRD设置限制为20个字符，但设置21的时候成功了，期望是设置失败。

分别是三种情况下，修改连接中的蓝牙设备名，修改之前连接过的蓝牙设备名，修改本设备蓝牙名这是在不同子模块下修改的，对应的也是不同的设备

状态

#2 - 2023-05-10 13:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198893 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:Settings: Set remote bluetooth device name max utf-8 chinese char length to 20.TC-RID: 1201-0201801IssueID: TS-R-BUG-117844Change-Id:

I421ffc07539756d2c05ff64926a70fd0e59b5427

#3 - 2023-05-10 13:39 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-10

- Root cause set to 限制数量与需求不一致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

限制数量与需求不一致。已处理为 20 个字符。

■ Next action

测试验证。

#4 - 2023-05-17 11:09 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to NEED_INFO

验证成功

#5 - 2023-05-17 16:27 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-05-17 16:27 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-17 16:27 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
